Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.beans.editor.appear
Class AppearEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          datechooser.beans.editor.VisualEditor
              datechooser.beans.editor.VisualEditorCashed
                  datechooser.beans.editor.appear.AppearEditor

All Implemented Interfaces:
  java.beans.PropertyEditor

    public class AppearEditor

extends VisualEditorCashed

Calendar appearance editor. Lets change or create user appearances (skins).
Редактор представлений. Позволяет изменять и добавлять темы отображения календаря.

Since:
  1.0
Author:
  Androsov Vadim
See Also:
  `AppearancesList`, `ViewAppearance`

Constructor Summary
`AppearEditor()`

Method Summary
`protected javax.swing.JComponent` | `createEditor()`
`AppearancesList` | `getAppearancesList()`
`java.lang.String` | `getAsText()`
`java.lang.String` | `getJavaInitializationString()`
`java.lang.String[]` | `getTags()`
`void` | `setAsText(java.lang.String text)`
`void` | `setInnerValue(java.lang.Object value)`
`void` | `setValue(java.lang.Object value)`

Methods inherited from class datechooser.beans.editor.VisualEditorCashed
`getCustomEditor, getEditorCash, setEditorCash`

Methods inherited from class datechooser.beans.editor.VisualEditor
`supportsCustomEditor`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getSource, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppearEditor

    public AppearEditor()

Method Detail

### getAppearancesList

    public AppearancesList getAppearancesList()

### setValue

    public void setValue(java.lang.Object value)

  Specified by:
    `setValue` in interface `java.beans.PropertyEditor`
  Overrides:
    `setValue` in class `java.beans.PropertyEditorSupport`

### setInnerValue

    public void setInnerValue(java.lang.Object value)

### getAsText

    public java.lang.String getAsText()

  Specified by:
    `getAsText` in interface `java.beans.PropertyEditor`
  Overrides:
    `getAsText` in class `java.beans.PropertyEditorSupport`

### setAsText

    public void setAsText(java.lang.String text)
                   throws java.lang.IllegalArgumentException

  Specified by:
    `setAsText` in interface `java.beans.PropertyEditor`
  Overrides:
    `setAsText` in class `java.beans.PropertyEditorSupport`
  Throws:
    `java.lang.IllegalArgumentException`

### getTags

    public java.lang.String[] getTags()

  Specified by:
    `getTags` in interface `java.beans.PropertyEditor`
  Overrides:
    `getTags` in class `java.beans.PropertyEditorSupport`

### getJavaInitializationString

    public java.lang.String getJavaInitializationString()

  Specified by:
    `getJavaInitializationString` in interface `java.beans.PropertyEditor`
  Overrides:
    `getJavaInitializationString` in class `java.beans.PropertyEditorSupport`

### createEditor

    protected javax.swing.JComponent createEditor()

  Specified by:
    `createEditor` in class `VisualEditor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD